# draugr.torch_utilities.sessions.device_sessions.TorchDeviceSession

class draugr.torch_utilities.sessions.device_sessions.TorchDeviceSession(device: device, model: Optional [Module] = None, no_side_effect: bool = True)

  Bases: `AlsoDecorator`

  Sets global torch devices to cpu

  __init__(device: device, model: Optional [Module] = None, no_side_effect: bool = True)

  Methods

  `__init__`(device[, model, no_side_effect]) |